Subject: Re: [SWIPL] How connect to a server via socket's on Windows

From: Armando Stellato <[email-masked]>
Date: Wed, 22 Aug 2001 11:00:03 +0200

Oh! I didn't read well a thing you have specified clearly!
This is a client and not a server!
Well, the procedure you wrote is for the server, that's because i misunderstood:
for a client you have to write:

tcp_socket(Socket),
tcp_connect(Socket, Host:Port),
<optionally: (tcp_fcntl(Socket, setfl, nonblock),)>
tcp_open_socket(Socket, ReadFd, WriteFd).

You received that error because you were, de facto, opening another server on the
same port, so the port was always occupied by the original server.

Anyway, there's a clear example in the directory demo in the package clib-1.2.1
that u may download from the SWI page.
If you have other problems, let me know.
Bye
Armando

Lesta wrote:

> ----- Original Message -----
> From: "Armando Stellato" <[email-masked]>
> To: "Lesta" <[email-masked]>
> Subject: Re: [SWIPL] How connect to a server via socket's on Windows
>
> > This is probably the error it gives you every second time that you start
> the
> > program,
>
> No, it appears always
>
> > infact you are creating a socket listener bound to port 5665 and if you
> don't
> > close the socket at the end of the program, you will find the port
> occupied when
> > you'll restart it.
>
> The first number after '$socket'( ist increase by 4 each start of the prog.
> I am not sure zo have the right way th open the socket in client mode.
>
> Uwe
> > > Hello to all of you,
> > >
> > > I like to build a cliet on a windows2000 machine
> > > comunicate via sockets using pl-4.0.9.
> > >
> > > test:-
> > >     tcp_socket(S),
> > >     tcp_bind(S,5665),
> > >     tcp_open_socket(S, IN, OUT),
> > >     ...
> > >
> > > results in the error msg :
> > > ERROR: Unknown error term: socket_error('No such file or directory')
> > >    Exception: (8) socket:tcp_bind('$socket'(396), 5665) ?
> > > in tcp_bind.
> > >
> > > Can someone help me, perhaps with a small example ?
> > >
> > > Thanks in advance
> > >
> > > --
> > >
> > > Kind regards
> > >
> > > Uwe
> > > [email-masked]
>
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
>
> ** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/